#
# Conditional build:
%bcond_without	prof	# profiling library
#
%define		pkgname	scientific
Summary:	Numbers represented using scientific notation
Name:		ghc-%{pkgname}
Version:	0.3.6.2
Release:	2%{?tld}
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/package/%{pkgname}-%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	f4f40eec14dd8c9308d8dd478212e4b7
URL:		http://hackage.haskell.org/package/scientific
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-base >= 3
BuildRequires:	ghc-bytestring >= 0.9
BuildRequires:	ghc-hashable >= 1.1.2
BuildRequires:	ghc-integer-logarithms >= 1
%if %{with prof}
BuildRequires:	ghc-prof >= 6.12.3
BuildRequires:	ghc-base-prof >= 3
BuildRequires:	ghc-bytestring-prof >= 0.9
BuildRequires:	ghc-hashable-prof >= 1.1.2
BuildRequires:	ghc-integer-logarithms-prof >= 1
%endif
BuildRequires:	rpmbuild(macros) >= 1.608
Requires(post,postun):	/usr/bin/ghc-pkg
%requires_eq	ghc
Requires:	ghc-base >= 3
Requires:	ghc-bytestring >= 0.9
Requires:	ghc-hashable >= 1.1.2
Requires:	ghc-integer-logarithms >= 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

# don't compress haddock files
%define		_noautocompressdoc	*.haddock

%description
Arbitrary-precision floating-point numbers represented using
scientific notation regular expressions.

%package prof
Summary:	Profiling %{pkgname} library for GHC
Summary(pl.UTF-8):	Biblioteka profilująca %{pkgname} dla GHC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ghc-base-prof >= 3
Requires:	ghc-bytestring-prof >= 0.9
Requires:	ghc-hashable-prof >= 1.1.2
Requires:	ghc-integer-logarithms-prof >= 1

%description prof
Profiling %{pkgname} library for GHC. Should be installed when GHC's
profiling subsystem is needed.

%description prof -l pl.UTF-8
Biblioteka profilująca %{pkgname} dla GHC. Powinna być zainstalowana
kiedy potrzebujemy systemu profilującego z GHC.

%package doc
Summary:	HTML documentation for ghc %{pkgname} package
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla pakietu ghc %{pkgname}
Group:		Documentation

%description doc
HTML documentation for ghc %{pkgname} package.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla pakietu ghc %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	%{?with_prof:--enable-library-profiling} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc LICENSE
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSscientific-%{version}-*.so
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSscientific-%{version}-*.a
%exclude %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSscientific-%{version}-*_p.a
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/ByteString
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/ByteString/Builder
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Text
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Text/Lazy
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Text/Lazy/Builder
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/GHC
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/GHC/Integer
#{_libdir}/%{ghcdir}/%{pkgname}-%{version}/{*,*/*,*/*/*,*/*/*/*}.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*.dyn_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*.dyn_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*.dyn_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*/*.dyn_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*/*/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*/*/*.dyn_hi

%if %{with prof}
%files prof
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSscientific-%{version}-*_p.a
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*/*/*/*/*.p_hi
%endif

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Fri Jul 21 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ghc-scientific.git;a=log;h=master

* Sat Mar 19 2022 Jan Rękorajski <baggins@pld-linux.org> 37824c7
- rebuild with ghc 8.10.7

* Mon May 25 2020 Jan Rękorajski <baggins@pld-linux.org> 54fdfce
- up to 0.3.6.2

* Thu May 05 2016 Adam Osuchowski <adwol@pld-linux.org> c9aa7f8
- initial, version 0.3.4.6

